## libhybris 0.1.0+git20130606+c5d897a

=== debian/changelog ===
libhybris (0.1.0+git20130606+c5d897a-0ubuntu35) saucy; urgency=low

  * 0034-Support-for-software-rendering-and-buffer-management.patch:
    - Add a getter function that allows a client app to check to see if we
      are doing hardware rendering.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 17:04:02 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu34) saucy; urgency=low

  * 0034-Support-for-software-rendering-and-buffer-management.patch:
    - Enable support for software rendering and improving buffer management
      when decoding/rendering a video

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 09 Oct 2013 18:46:48 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu33) saucy; urgency=low

  * 0033-hardware-adding-missing-power.h.patch:
    - Adding missing libhardware power.h header

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 09 Oct 2013 11:48:44 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu32) saucy; urgency=low

  * 0032-Make-the-decoding-rendering-loop-much-more-robust.-F.patch:
    - Making the decoding/rendering loop more robust by releasing
      the output buffers in case the hal call fails (LP: #1234207)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 22:48:24 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu31) saucy; urgency=low

  * 0031-Fixes-bug-lp-1234007-out-of-index-crash-for-handling.patch:
    - Fixing an out of index crash when handling media_codec_layer output
      buffers list (LP: #1234007)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 11:35:46 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu30) saucy; urgency=low

  * 0030-compat-media-also-support-decoding-with-playbin.patch:
    - Refreshing patch adding another method to ask when the client is ready
      for rendering

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 30 Sep 2013 16:08:45 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu29) saucy; urgency=low

  * 0030-compat-media-also-support-decoding-with-playbin.patch:
    - Improving rendering/decoding handling to also work with playbin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 27 Sep 2013 13:54:55 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu28) saucy; urgency=low

  * 0029-compat-input-take-full-geometry-by-default-in-input-.patch:
    - Removing surfaceflinger dependency of the input stack by allowing the
      consumer to pass the screen width and height

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 25 Sep 2013 23:21:51 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu27) saucy; urgency=low

  * 0028-surface_texture_client_hybris-using-float-instead-of.patch:
    - Using float directly instead of GLfloat to avoid conflicts with Qt

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 13 Sep 2013 10:30:57 -0400

libhybris (0.1.0+git20130606+c5d897a-0ubuntu26) saucy; urgency=low

  * 0027-media-provide-a-method-to-check-the-compat-availabil.patch:
    - Provide a runtime method to check if the media compat layer is available
      in the system (/system from Android)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Sep 2013 11:13:39 -0400

libhybris (0.1.0+git20130606+c5d897a-0ubuntu25) saucy; urgency=low

  * 0026-Added-a-function-to-get-the-transformation-matrix-an.patch:
    - Adding extra surface texture calls for media playback

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 11 Sep 2013 10:33:17 -0400

libhybris (0.1.0+git20130606+c5d897a-0ubuntu24) saucy; urgency=low

  * Moving the media HAL into a separated package (libmedia), so we can have
    the proper package dependencies in the gst-plugins-bad package (otherwise
    it ends up depending on libhybris, which breaks EGL for desktop).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 10 Sep 2013 10:40:32 -0400

libhybris (0.1.0+git20130606+c5d897a-0ubuntu23) saucy; urgency=low

  * 0025-audio.h-handling-the-float-based-function-calls-with.patch:
    - Using proper aapcs attribute to the float based function calls in the
      audio HAL

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 10 Sep 2013 09:48:48 -0400

libhybris (0.1.0+git20130606+c5d897a-0ubuntu22) saucy; urgency=low

  * 0024-compat-input-block-poll-avoid-waking-up-at-every-500.patch:
    - Block poll when retrieving the input events via HAL, to avoid waking up
      at every 500 ms

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 04 Sep 2013 21:21:34 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu21) saucy; urgency=low

  * 0010-hardware-include-adding-audio-hal-related-headers-fr.patch:
    - Updating patch to really reflect headers from android-4.2.2_r1.2

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 29 Aug 2013 00:05:31 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu20) saucy; urgency=low

  * 0023-compat-media-make-use-of-NativeBufferAllocator-inste.patch:
    - Make media use a native buffer allocator so we don't need to depend on
      surface flinger

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 28 Aug 2013 17:37:10 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu19) saucy; urgency=low

  * 0022-compat-camera-make-use-of-native-buffer-allocator-in.patch:
    - Make camera use a native buffer allocator so we don't need to depend on
      surface flinger

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 27 Aug 2013 17:08:03 -0300

libhybris (0.1.0+git20130606+c5d897a-0ubuntu18) saucy; urgency=low

  * 0021-hooks.c-also-add-a-matching-sysconf-for-_SC_NPROCESS.patch:
    - Add a matching sysconf for _SC_NPROCESSORS_ONLN, used by libstagefright

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 26 Aug 2013 18:22:29 -0300


