## libhybris 0.1.0+git20131207+e452e83

=== debian/changelog ===
libhybris (0.1.0+git20131207+e452e83-0ubuntu39) vivid; urgency=medium

  * linker: adding dl_iterate_phdr for ARM (required by Android 5 blobs)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 06 Apr 2015 20:53:06 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu38) vivid; urgency=medium

  * Reverting switch to CLOCK_MONOTONIC_RAW as that caused a regression
    when recording videos with krillin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 16 Mar 2015 15:59:00 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu37) vivid; urgency=medium

  * Backporting fixes from upstream before doing a new rebase:
    - sysconf mapping
    - New optimization via gnu dispatching: zero call overhead glesv2
      wrapper
    - dlsym the symbols in eglGetProcAddress from the glibc libraries
    - hooks.c: Switch to CLOCK_MONOTONIC_RAW instead of CLOCK_REALTIME
    - hooks.c: fixing typos in function calls
    - Fix a missmatch between glibc's addrinfo and bionic's getaddrinfo

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Mar 2015 01:16:13 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu36) vivid; urgency=medium

  [ Ugo Riboni ]
  * camera: expose the ability to query the supported flash modes

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 14 Jan 2015 19:28:56 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu35) vivid; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * media: thread-protect list output buffer infos list

  [ Mathieu Trudel-Lapierre ]
  * wifi: add method to check if compat side is available

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 08 Dec 2014 14:28:57 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu34) vivid; urgency=medium

  [Florian Boucault]
  * camera/compat: added getter/setter for JPEG encoding quality.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 25 Nov 2014 11:12:26 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu33) vivid; urgency=medium

  [Yuan-Chen Cheng]
  * Use PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP in dlfcn.c for
    bionic/linker/dlfcn.cpp use it and needed by certain android bsp.
    This is basically a cherry-pick from android upstream.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 20 Nov 2014 19:48:28 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu32) vivid; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * media: thread-protect release of media buffers

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 13 Nov 2014 22:09:31 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu31) vivid; urgency=medium

  [ Ricardo Mendoza ]
  * compat/media: improve client death notification registration and handler

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 05 Nov 2014 18:15:23 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu30) vivid; urgency=medium

  [ Jim Hodapp ]
  * Add direct_camera_test support for setting the thumbnail size.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 04 Nov 2014 20:37:09 -0200

libhybris (0.1.0+git20131207+e452e83-0ubuntu29) vivid; urgency=medium

  [ Jim Hodapp ]
  * Add hybris API that allows retrieval of supported camera still
    image thumbnail sizes that qtubuntu-camera can take advantage of.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 30 Oct 2014 22:38:05 -0400

libhybris (0.1.0+git20131207+e452e83-0ubuntu28) utopic; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * media/compat: Add CSD to data for configuring codec (LP: #1378397)

  [ Ricardo Mendoza ]
  * Implement Observer interface for the MediaRecorder class
    (LP: #1362658)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 14 Oct 2014 22:05:15 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu27) utopic; urgency=medium

  * debian/rules: using hardening=-stackprotectorstrong as that's not
    supported with gcc 4.7

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 19 Sep 2014 03:34:34 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu26) utopic; urgency=medium

  [ Yu-Cheng Chou <ianchou821@gmail.com> ]
  * debian/control: fix typo in description (LP: #1259444)

  [ Daniel van Vugt ]
  * hooks: converting linear search into a binary search
    (LP: #1343198)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 14 Aug 2014 17:45:44 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu25) utopic; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * Adding support for the wifi HAL

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 13 Aug 2014 01:32:42 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu24) utopic; urgency=medium

  [ Jim Hodapp ]
  * Moved audio record source files from libhybris source tree to
    frameworks/av/media/libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 06 Aug 2014 17:10:52 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu23) utopic; urgency=medium

  [ Jim Hodapp ]
  * compat/camera: export additional interface and logic for audio
    support when recording videos

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 17:02:19 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu22) utopic; urgency=medium

  * compat: roll back local changes for native buffer allocators

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 24 Jul 2014 02:29:36 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu21) utopic; urgency=medium

  * compat/camera: adding metadata setter for GPS location

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 16 Jul 2014 16:08:09 -0300

libhybris (0.1.0+git20131207+e452e83-0ubuntu20) utopic; urgency=medium

  * Added function to retrieve list of supported camera's scene modes

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Jul 2014 12:10:49 -0300


