=== debian/control ===
--- 
+++ 
@@ -4,31 +4,17 @@
 Build-Depends: debhelper (>= 9.0.0),
                autotools-dev,
                dh-autoreconf,
+               android-headers (>= 4.4.2),
                gcc-4.7,
                g++-4.7,
                quilt,
                pkg-config,
-               libgles2-mesa-dev
-Standards-Version: 3.9.4
+               libgles2-mesa-dev,
+               libwayland-dev
+Standards-Version: 3.9.5
 Section: libs
-Vcs-Bzr: lp:libhybris/ubuntu
-
-Package: android-platform-headers
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}
-Replaces: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
-Breaks: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
-Description: Android Platform Headers from AOSP releases
- Android NDK provided by Google contains subset of AOSP platform
- headers which are deemed "external interface" by Google. However,
- writing advanced software for Android necessitates access to complete
- platform. Many aspects of it change, sometimes drastically, between
- releases, so compiling user source code against platform headers for
- different releases is required (e.g. for libhybris).
- .
- This package provides the platform development headers for core components
- of AOSP (Android Open Source Project), for recent 4.x.x releases
+Vcs-Git: git://phablet.ubuntu.com/ubuntu/libhybris.git
+Vcs-Browser: http://phablet.ubuntu.com/gitweb?p=ubuntu/libhybris.git;a=summary
 
 Package: libandroid-properties1
 Architecture: armhf i386 amd64
@@ -54,7 +40,7 @@
          ${misc:Depends}
 Replaces: libhybris (<< 0.1.0+git20130606+c5d897a-0ubuntu24)
 Breaks: libhybris (<< 0.1.0+git20130606+c5d897a-0ubuntu24)
-Description: Library to provice access to the Android Media HAL
+Description: Library to provide access to the Android Media HAL
  Contains a library that provides access to the Android Media HAL,
  which abstract the access to the Android libstagefright based
  decoders.
@@ -66,7 +52,7 @@
 Section: libdevel
 Architecture: armhf i386 amd64
 Depends: libmedia1 (= ${binary:Version}),
-         android-platform-headers (= ${source:Version}),
+         android-headers (>= 4.4.2),
          ${misc:Depends}
 Replaces: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu24)
 Breaks: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu24)
@@ -83,7 +69,7 @@
          ${misc:Depends}
 Replaces: libhybris (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
 Breaks: libhybris (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
-Description: Library to provice access to the Android libhardware HAL
+Description: Library to provide access to the Android libhardware HAL
  Contains a library that provides access to the Android libhardware HAL,
  which can be used to access a wide range of other HALs, such as audio,
  power, gralloc, etc.
@@ -95,14 +81,14 @@
 Section: libdevel
 Architecture: armhf i386 amd64
 Depends: libhardware2 (= ${binary:Version}),
-         android-platform-headers (= ${source:Version}),
+         android-headers (>= 4.4.2),
          ${misc:Depends}
 Replaces: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
 Breaks: libhybris-dev (<< 0.1.0+git20130606+c5d897a-0ubuntu13)
 Description: Development files for libhardware
- Contains the development files the Android libhardware HAL, which can be
- used to access a wide range of other HALs, such as audio, power, gralloc,
- etc.
+ Contains the development files for the Android libhardware HAL, which can
+ be used to access a wide range of other HALs, such as audio, power,
+ gralloc, etc.
  .
  Hybris is a solution that allows the use of bionic-based HW adaptations in
  glibc systems.
@@ -150,7 +136,7 @@
 Section: libdevel
 Architecture: armhf i386 amd64
 Depends: libhybris (= ${binary:Version}),
-         android-platform-headers (= ${source:Version}),
+         android-headers (>= 4.4.2),
          libandroid-properties-dev (= ${binary:Version}),
          libhardware-dev (= ${binary:Version}),
          libmedia-dev (= ${binary:Version}),
