## libhybris 0.1.0+git20151016+6d424c9

=== debian/changelog ===
libhybris (0.1.0+git20151016+6d424c9-0ubuntu7) xenial; urgency=medium

  [ Ugo Riboni ]
  * Allow setting/clearning the camera metering region

  [ Alex Tu ]
  * compat: force modules to be build for 32bit only

  [ Simon Fels ]
  * debian: adjust our build depends depending which distro we build for
    - With this we select now gcc 4.7 for vivid builds and take what
      ever else is default on all other distributions. We need to switch
      soon or later away from gcc 4.7 but before we can do that we need
      to overcome the still existing ABI issues we get when we build
      with something else than gcc 4.7.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 07 Mar 2016 10:41:54 +0100

libhybris (0.1.0+git20151016+6d424c9-0ubuntu6) xenial; urgency=medium

  [ Simon Fels ]
  * Revert "debian: drop requirement of gcc 4.7"

  [ Franz-Josef ]
  * hybris: add hook for freeaddrinfo and getaddrinfo

 -- Simon Fels <simon.fels@canonical.com>  Fri, 05 Feb 2016 15:23:26 +0100

libhybris (0.1.0+git20151016+6d424c9-0ubuntu5) xenial; urgency=medium

  * debian: drop requirement of gcc 4.7

 -- Simon Fels <simon.fels@canonical.com>  Tue, 26 Jan 2016 12:37:21 +0100

libhybris (0.1.0+git20151016+6d424c9-0ubuntu4) xenial; urgency=medium

  [ You-Sheng Yang ]
  * wifi: fix hardware_legacy/wifi.h not found
  * tests: fix test_audio compilation on Android 5 or above

  [ Carsten Munk ]
  * Hook getlogin, __sprintf_chk, __snprintf_chk

  [ Simon Fels ]
  * hybris: common: dump mutex address
  * hybris: common: add ugly workaround for malit-hist-dump thread
  * hybris: common: also hook prctl to workaround mali-hist-dump
  * hybris: common: also log name when prctl called with PR_SET_NAME
  * hybris: common: add exit workaround for mali-hist-dump thread
  * hybris: common: be more precise on prctl log messages
  * hybris: add configuration option to enable mali related quirks
  * hybris: common: hook localtime, gmtime and friends
  * debian: enable mali quirks
  * hybris: common: hook missing pthread functions
  * hybris: common: add further debug statements for symbol hooking
  * debian: update changelog

  [ You-Sheng Yang ]
  * compat: media: remove wrong BOARD_HAS_MEDIA_PLAYER_PAUSE guard
  * compat: media: implement android::IMediaRecorder::resume

  [ Simon Fels ]
  * debian: drop files listed twice in .install files
  * debian: drop -dbg package as we generate them automatically

  [ You-Sheng Yang ]
  * hooks: add pthread_mutex_timedlock

  [ Thomas Voß ]
  * Hook pthread_kill such that pthread_t values of 0 do not lead to segfaults.

  [ Simon Fels ]
  * debian: update changelog
  * debian: correct vcs reference to point to launchpad

  [ You-Sheng Yang ]
  * hook: add pthread_condattr_setclock
  * hook: skip only symbol names prefixed with "pthread" or "__pthread"

  [ Mikko Harju ]
  * [libhybris] Add cache for socket based property lookups.

  [ Simon Fels ]
  * hybris: common: add simple macro to check for existing symbols
  * debian: drop stripping of not existing package
  * Revert "debian: don't package NFC stuff anymore"
  * utils: fix binding wrapper macro generator script
  * debian: sync changelog up with what is released
  * debian: enable property cache for x86 and armhf
  * debian: rules: cleanup formatting for autoconf options

 -- Simon Fels <simon.fels@canonical.com>  Tue, 26 Jan 2016 11:05:14 +0100

libhybris (0.1.0+git20151016+6d424c9-0ubuntu3) vivid; urgency=medium

  * Various fixes to allow camera access to work in the web browser
  * Fix compat layer compilation when API functions are missing on
    certain devices in the media player implementation.
  * Add initial support for Android 5.x

 -- Simon Fels <simon.fels@canonical.com>  Thu, 07 Jan 2016 08:07:11 +0100

libhybris (0.1.0+git20151016+6d424c9-0ubuntu1) vivid; urgency=medium

  [ Ricardo Salveti de Araujo ]
  * New upstream snapshot:
    - Rebasing patches and removing the ones that are already available in
      upstream

  [ Alex Tu ]
  * Fix Build error.

  [ Simon Fels ]
  * Merge with upstream and rebased chagnes

 -- Simon Fels <simon.fels@canonical.com>  Fri, 16 Oct 2015 09:14:11 +0200
