=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
                autotools-dev,
                dh-autoreconf,
                android-headers (>= 4.4.2),
-               gcc-4.7,
-               g++-4.7,
                quilt,
                pkg-config,
                libgles2-mesa-dev,
                libwayland-dev
 Standards-Version: 3.9.5
 Section: libs
-Vcs-Git: git://phablet.ubuntu.com/ubuntu/libhybris.git
-Vcs-Browser: http://phablet.ubuntu.com/gitweb?p=ubuntu/libhybris.git;a=summary
+Vcs-Git: https://git.launchpad.net/~libhybris-maintainers/libhybris/+git/libhybris
+Vcs-Browser: https://git.launchpad.net/~libhybris-maintainers/libhybris/+git/libhybris/
 
 Package: libandroid-properties1
 Architecture: armhf i386 amd64
